/*
 * @Author: Z 1518051043@qq.com
 * @Date: 2025-12-08 17:37:05
 * @LastEditors: Z 1518051043@qq.com
 * @LastEditTime: 2025-12-23 10:16:05
 * @FilePath: \yuanxinPro\src\api\Zodiac.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%A
 */

import request from '@/utils/request'
// 左侧菜单-星座构型信息
export function stellationInfoApi() {
  return request({
    url: '/constellationInfo/list',
    method: 'get',
   
  })
}
// 左侧菜单-卫星列表信息
export function stellateListInfoApi() {
  return request({
    url: '/SatelliteBasicInfo/list',
    method: 'get',
    
  })
}
// 左侧菜单-地面系统信息
export function siteDataInfoListApi() {
  return request({
    url: '/SiteData/list',
    method: 'get'
   
  })
}


export function siteDataPageErrorInfoApi(data) {
  return request({
    url: '/SiteData/pageError',
    method: 'post',
    params: data
  })
}

export function groundSystemStatisticsInfoApi() {
  return request({
    url: '/GroundSystem/statistics',
    method: 'get',
 
  })
}


export function subSystemStatisticsInfoApi(data) {
  return request({
    url: '/GroundSystem/statistics',
    method: 'get',
    data: data
  })
}